Bug 1840786 - OperatorHub filtering keyword limits
Summary: OperatorHub filtering keyword limits
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: 4.4
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 4.6.0
Assignee: Cyril
QA Contact: Yadan Pei
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-05-27 15:50 UTC by Evan Cordell
Modified: 2020-10-27 16:01 UTC (History)
17 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: Missing keyword field in API Consequence: Users are unable to search by keyword Fix: Yes Result: Working as expected.
Clone Of: 1812019
Environment:
Last Closed: 2020-10-27 16:01:07 UTC
Target Upstream Version:


Attachments (Terms of Use)
Filter with Keyword (246.51 KB, image/png)
2020-06-30 08:03 UTC, Yadan Pei
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 5646 0 None closed Bug 1840786: OperatorHub filtering keyword limits 2021-01-06 05:01:12 UTC
Red Hat Product Errata RHBA-2020:4196 0 None None None 2020-10-27 16:01:21 UTC

Comment 1 Cyril 2020-05-29 15:26:07 UTC
Will look into this in the upcoming sprint.

Comment 5 Yadan Pei 2020-06-30 08:03:05 UTC
1. Container-native virtualization operator has following keywords in CSV
spec.keywords:
    - KubeVirt
    - Virtualization
    - VM
    - CNV
    - Container-native virtualization
    - Container native virtualization
    - Virt
    - Virtual
2. admin user goes to OperatorHub page, search with keywords: vm, virtualization, virtual, container native virtualization, both can get expected Container-native virtualization operator 

Verified on 4.6.0-0.nightly-2020-06-26-035408

Comment 6 Yadan Pei 2020-06-30 08:03:32 UTC
Created attachment 1699252 [details]
Filter with Keyword

Comment 8 errata-xmlrpc 2020-10-27 16:01:07 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.6 GA Images), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:4196


Note You need to log in before you can comment on or make changes to this bug.